<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 1.4//EN" "http://www.sosy-lab.org/benchexec/benchmark-1.4.dtd">
<benchmark tool="cpachecker"
    timelimit="900 s" hardtimelimit="960 s" memlimit="15 GB" cpuCores="4">

    <require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz" cpuCores="4"/>

  <option name="-heap">10000M</option>
  <option name="-benchmark"/>
  <option name="-setprop">cpa.predicate.abstraction.initialPredicates.applyFunctionWide=true</option>

  <rundefinition name="fullAnalysis">
    <option name="-predicateAnalysis" />
  </rundefinition>

  <rundefinition name="diffAnalysis">
    <option name="-differentialPredicateAnalysis" />
  </rundefinition>

  <rundefinition name="diffAnalysis-ignoreDecl">
    <option name="-differentialPredicateAnalysis" />
    <option name="-setprop">differential.ignoreDeclarations=true</option>
  </rundefinition>

  <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>

